Developers
API ReferenceReported Clock

Stop ReportedClock and create ReportedTime based on clock parameters while also removing this clock instance.

PATCH
/project/reported-clocks/{id}/stop

Stop ReportedClock and create ReportedTime based on clock parameters while also removing this clock instance.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ReportedClock identifier

Request Body

The updated ReportedClock resource

  1. body
seconds?|
Range60 <= value
timeType?|
Formatuuid

Response Body

ReportedClock resource updated

Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/reported-clocks/string/stop' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
Empty